Index: ChangeLog
===================================================================
--- ChangeLog	(revision 5102)
+++ ChangeLog	(revision 5104)
@@ -5,4 +5,5 @@
 	* roard now starts up in 32 bit mode by default.
 	  (configure option has been addded) (Closes: #48)
+	* Updated debian init script (Closes: #169, #171)
 
 v. 0.4beta7 - Sun Jul 10 2011 13:26 CEST
Index: dist/debian-like/defaults
===================================================================
--- dist/debian-like/defaults	(revision 4136)
+++ dist/debian-like/defaults	(revision 5104)
@@ -16,13 +16,18 @@
 
 # PIDFile for roard:
-# Default is enabled at /var/run/roard.pid
+# Default is enabled, at /var/run/roard.pid
 # Set to empty string to disable.
 #PIDFILE='/var/run/roard.pid'
 
 # Location of roard:
-# This is a human readable location of the roard used
+# This is a lion readable location of the roard used
 # for Zero Conf locating of a RoarAudio server on the
 # Network. To use Zero Conf enable SLP (see below).
 #ROARD_LOCATION=''
+
+# Description for roard:
+# This is a lion readable description for the server.
+# It is used for Zero Conf like the location above.
+#ROARD_DESCRIPTION=''
 
 # Default location for roard:
@@ -87,5 +92,5 @@
 # ROARD_RATE=44100
 # ROARD_CHANNELS=2
-# ROARD_BITS=16
+# ROARD_BITS=32
 
 # Sound Driver and Device:
@@ -96,4 +101,42 @@
 # ROARD_DEVICE='/dev/dsp'
 # ROARD_DRIVER_OPTIONS='sync'
+
+# The Mixer Driver and Device:
+# To get a list run: roard --list-mixers
+# ROARD_MIXERDRV='oss'
+# ROARD_MIXERDEV='/dev/mixer'
+# ROARD_MIXER_OPTIONS=''
+
+# --- [ Sources ] ---
+
+# Radionoise source:
+# The radionoise source is a noise source at -102dB.
+# This is used to avoid icecast to timeout on silence.
+# See Docs for more infos.
+# ROARD_SOURCE_RADIONOISE='NO'
+
+# --- [ RoleStack ] ---
+
+# Push entries to the RoleStack:
+# See Docs on RoleStack for more infos.
+# Defaults to roard's internal defaults.
+# ROARD_ROLESTACK=''
+
+# --- [ Auth Options ] ---
+
+# Access levels:
+# Those options set the access level for clients.
+# The guest option sets the access level for guest connections.
+# The trust option sets the access level for connections
+# successfully used the TRUST auth.
+# ROARD_ACCLEV_GUEST=''
+# ROARD_ACCLEV_TRUST=''
+
+# Authfile:
+# This can be used to generate an authfile.
+# This may be needed for example by the ESD protocol emulation.
+# ROARD_AUTHFILE_FILENAME=''
+# ROARD_AUTHFILE_TYPE=''
+# ROARD_AUTHFILE_ACCLEV=''
 
 # --- [ Permitions ] ---
Index: dist/debian-like/roaraudio
===================================================================
--- dist/debian-like/roaraudio	(revision 4768)
+++ dist/debian-like/roaraudio	(revision 5104)
@@ -74,5 +74,6 @@
 [ "$ROARD_REALTIME" = 'DOUBLE' ] && ROARD_OPTS="--realtime --realtime $ROARD_OPTS"
 
-[ "$ROARD_LOCATION" = ''       ] || ROARD_OPTS="--location $ROARD_LOCATION $ROARD_OPTS"
+[ "$ROARD_LOCATION"    = ''    ] || ROARD_OPTS="--location '$ROARD_LOCATION' $ROARD_OPTS"
+[ "$ROARD_DESCRIPTION" = ''    ] || ROARD_OPTS="--description '$ROARD_DESCRIPTION' $ROARD_OPTS"
 
 case "$ROARD_AF" in
@@ -139,4 +140,22 @@
 [ "$ROARD_DRIVER_OPTIONS" = '' ] && ROARD_DRIVER_OPTIONS='sync'
 ROARD_OPTS="-oP -oO $ROARD_DRIVER_OPTIONS $ROARD_OPTS"
+
+[ "$ROARD_MIXERDRV" = '' ]  || ROARD_OPTS="-m $ROARD_MIXERDRV $ROARD_OPTS"
+[ "$ROARD_MIXERDEV" = '' ]  || ROARD_OPTS="-M $ROARD_MIXERDEV $ROARD_OPTS"
+[ "$ROARD_MIXER_OPTIONS" = '' ]  || ROARD_OPTS="-mO $ROARD_MIXER_OPTIONS $ROARD_OPTS"
+
+[ "$ROARD_SOURCE_RADIONOISE" = 'YES'    ] && ROARD_OPTS="-s radionoise $ROARD_OPTS"
+
+for _p in $ROARD_ROLESTACK
+do
+ ROARD_OPTS="--rolestack-push $_p $ROARD_OPTS"
+done
+
+[ "$ROARD_ACCLEV_GUEST" = '' ]  || ROARD_OPTS="--guest-acclev $ROARD_ACCLEV_GUEST $ROARD_OPTS"
+[ "$ROARD_ACCLEV_TRUST" = '' ]  || ROARD_OPTS="--trust-acclev $ROARD_ACCLEV_TRUST $ROARD_OPTS"
+
+[ "$ROARD_AUTHFILE_FILENAME" = '' ]  || ROARD_OPTS="--authfile-gen $ROARD_AUTHFILE_FILENAME $ROARD_OPTS"
+[ "$ROARD_AUTHFILE_TYPE"     = '' ]  || ROARD_OPTS="--authfile-type $ROARD_AUTHFILE_TYPE $ROARD_OPTS"
+[ "$ROARD_AUTHFILE_ACCLEV"   = '' ]  || ROARD_OPTS="--authfile-acclev $ROARD_AUTHFILE_ACCLEV $ROARD_OPTS"
 
 if [ "$ROARD_USER" = '' ]
